using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.Reflection;
using System.IO;
namespace WindowsApplication3
{
	static class Program
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main()
		{
			AppDomain.CurrentDomain.AssemblyResolve += new ResolveEventHandler(CurrentDomain_AssemblyResolve);

			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new Form1());
		}

		static System.Reflection.Assembly CurrentDomain_AssemblyResolve(object sender, ResolveEventArgs args)
		{
			//foreach(Assembly.GetExecutingAssembly().
			foreach (string s in Assembly.GetExecutingAssembly().GetManifestResourceNames())
			{
				Console.WriteLine(s);
			}
			Stream stream = Assembly.GetExecutingAssembly().GetManifestResourceStream("WindowsApplication3.res.ClassLibrary1.dll");
			int len = (int)stream.Length;
			byte[] bytes = new byte[len];
			stream.Read(bytes, 0, len);
			return Assembly.Load(bytes);
		}

	}
}